Reads recent processes and current manual start eligibility on one Subject.
GET
/api/workspace/workflow/runtime/subjects/{definitionId}/{subjectObjectId}
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Get, RequestUri = new Uri("https://example.com/api/workspace/workflow/runtime/subjects/example/example"), Headers = { { "Authorization", "Bearer <token>" }, },};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}const url = 'https://example.com/api/workspace/workflow/runtime/subjects/example/example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/workspace/workflow/runtime/subjects/example/example \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”definitionId
required
string
subjectObjectId
required
string
Query Parameters
Section titled “Query Parameters”access_token
string
Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.
Responses
Section titled “Responses”OK
Media typeapplication/json
object
Data
object
DefinitionId
string
SubjectObjectId
string
CanStart
boolean
Instances
Array<object>
object
Id
string
DefinitionId
string
RevisionId
string
SubjectObjectId
string
Status
integer format: int32
OutcomeId
string
EndNodeKey
string
StartedAtUtc
string format: date-time
CompletedAtUtc
string format: date-time
RowVersion
string format: uuid
TechnicalOnly
boolean
ActiveNodes
Array<object>
object
Id
string
NodeKey
string
NodeKind
string
Status
integer format: int32
WaitKind
integer format: int32
EnteredAtUtc
string format: date-time
TimerDueAtUtc
string format: date-time
RowVersion
string format: uuid
Title
string
Instruction
string
Choices
Array<object>
object
Key
string
Title
string
CanRespond
boolean
ErrorCode
string
EventProgress
object
MatchedObservations
integer format: int32
TotalObservations
integer format: int32
Actions
object
CanCancel
boolean
CanRetry
boolean
CanSuspend
boolean
CanResume
boolean
PreSuspendStatus
integer format: int32
Number
string
DefinitionName
string
RevisionNumber
integer format: int32
OutcomeName
string
Subject
Stable identity of one Moltaro resource instance.
object
ModuleKey
string
ResourceKind
string
ContextResourceId
string
ResourceObjectId
string
SubjectLabel
string
Errors
Array<object>
object
Code
required
string
Message
required
string
Target
string
Field
string
Metadata
object
key
additional properties
string
Type
integer format: int32
Severity
integer format: int32
Warnings
Array<object>
object
Code
required
string
Message
required
string
Target
string
Field
string
Metadata
object
key
additional properties
string
Type
integer format: int32
Severity
integer format: int32
Success
boolean
Example
{ "Data": { "Instances": [ { "Status": 0, "ActiveNodes": [ { "Status": 0, "WaitKind": 0 } ], "PreSuspendStatus": 0 } ] }, "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}